local SafeAreaManager = {}

local NOTCH_SCREEN_SIMULATE = "NOTCH_SCREEN_SIMULATE";

local DESIGN_WIDTH = 720
local DESIGN_HEIGHT = 1280

-- 获取刘海高度
function SafeAreaManager:getNotchScreenHeight()
    local notchHeight = CS.BF.SafeAreaManager.GetNotchScreenHeight()
    local width, height = GFunc.getScreenSize()
    local sw = width / DESIGN_WIDTH -- 0.64
    local sh = height / DESIGN_HEIGHT -- 0.52
    local minScale = 1
    if sw < sh then
        minScale = sw
    else
        minScale = sh
    end
    return notchHeight / minScale
end

return SafeAreaManager